GET /api/v1/notifications/preferences

GET/api/v1/notifications/preferences

내 알림 수신 설정

그룹별 수신 설정을 카탈로그 순서대로 반환합니다.

응답

상태설명
200Successful Response (object)

PUT /api/v1/notifications/preferences

PUT/api/v1/notifications/preferences

내 알림 수신 설정 변경

수신 설정을 통째로 교체합니다(PUT 의미).

요청 본문: application/json, PreferencesBody

필드형식필수설명
prefsobjectPrefs

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/notifications/unread-count

GET/api/v1/notifications/unread-count

읽지 않은 알림 수

읽지 않은 알림 수를 전체와 테넌트별로 반환합니다.

응답

상태설명
200Successful Response (object)

POST /api/v1/notifications/read-all

POST/api/v1/notifications/read-all

현재 테넌트의 알림 모두 읽음

현재 테넌트에서 내게 온 읽지 않은 알림을 모두 읽음 처리합니다.

필요 권한: VIEW

응답

상태설명
200Successful Response (object)

GET /api/v1/notifications

GET/api/v1/notifications

내 알림 목록

현재 테넌트에서 내게 온 알림을 최신순으로 반환합니다.

필요 권한: VIEW

파라미터

이름위치형식필수설명
unreadqueryboolean?true 면 미읽음만
pagequeryinteger
page_sizequeryinteger?

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/notifications/{notification_id}/read

POST/api/v1/notifications/{notification_id}/read

알림 읽음 처리

알림 하나를 읽음으로 표시합니다(멱등).

필요 권한: VIEW

파라미터

이름위치형식필수설명
notification_idpathstring (uuid)

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

2026-09-21 기준 플랫폼에 맞춰 작성했습니다.

© Geo-MLOps